diff --git a/gradle.properties b/gradle.properties
index 1038e7642b..24262a25ef 100644
--- a/gradle.properties
+++ b/gradle.properties
@@ -59,7 +59,7 @@ MAP_AUTONAVI_VERSION=2.0.7
MOGO_MAP_VERSION=2.0.7
MOGO_MAP_API_VERSION=2.0.7
MOGO_SERVICE_VERSION=2.0.7
-MOGO_SERVICE_API_VERSION=2.0.7
+MOGO_SERVICE_API_VERSION=2.0.8
MOGO_CONNECTION_VERSION=2.0.7
MOGO_MODULE_APPS_VERSION=2.0.7
MOGO_MODULE_NAVI_VERSION=2.0.7
diff --git a/main-extensions/mogo-module-main-launcher/src/main/java/com/zhidao/mogo/module/main/launcher/MainLauncherActivity.java b/main-extensions/mogo-module-main-launcher/src/main/java/com/zhidao/mogo/module/main/launcher/MainLauncherActivity.java
index 1cc07beaa2..5582493834 100644
--- a/main-extensions/mogo-module-main-launcher/src/main/java/com/zhidao/mogo/module/main/launcher/MainLauncherActivity.java
+++ b/main-extensions/mogo-module-main-launcher/src/main/java/com/zhidao/mogo/module/main/launcher/MainLauncherActivity.java
@@ -11,6 +11,7 @@ import androidx.annotation.Nullable;
import com.mogo.commons.debug.DebugConfig;
import com.mogo.map.uicontroller.EnumMapUI;
+import com.mogo.module.common.MogoApisHandler;
import com.mogo.module.main.MainActivity;
import com.mogo.module.main.cards.MogoModulesManager;
import com.mogo.service.intent.IMogoIntentListener;
@@ -38,7 +39,11 @@ public class MainLauncherActivity extends MainActivity implements IMogoIntentLis
protected void loadContainerModules() {
super.loadContainerModules();
// 显示左边遮罩
- mLeftShadowFrame.setVisibility( View.VISIBLE );
+ if (MogoApisHandler.getInstance().getApis().getStatusManagerApi().isVrMode()) {
+ mLeftShadowFrame.setVisibility(View.GONE);
+ }else {
+ mLeftShadowFrame.setVisibility(View.VISIBLE);
+ }
MogoModulesManager.getInstance().loadAppsListModule( com.mogo.module.main.R.id.module_main_id_apps_fragment_container );
}
@@ -120,14 +125,16 @@ public class MainLauncherActivity extends MainActivity implements IMogoIntentLis
@Override
public void onStatusChanged(StatusDescriptor descriptor, boolean isTrue) {
+ FrameLayout.LayoutParams entranceParams = ( ( FrameLayout.LayoutParams ) mEntrance.getLayoutParams() );
if (isTrue) {
- FrameLayout.LayoutParams entranceParams = ( ( FrameLayout.LayoutParams ) mEntrance.getLayoutParams() );
entranceParams.leftMargin = getResources().getDimensionPixelSize( R.dimen.module_main_entrance_fragment_container_marginLeft_in_vr_mode );
- mEntrance.setLayoutParams( entranceParams );
+ mLeftShadowFrame.setVisibility(View.GONE);
+ mApps.setVisibility(View.GONE);
}else{
- FrameLayout.LayoutParams entranceParams = ( ( FrameLayout.LayoutParams ) mEntrance.getLayoutParams() );
entranceParams.leftMargin = getResources().getDimensionPixelSize( R.dimen.module_main_entrance_fragment_container_marginLeft_out_vr_mode );
- mEntrance.setLayoutParams( entranceParams );
+ mLeftShadowFrame.setVisibility(View.VISIBLE);
+ mApps.setVisibility(View.VISIBLE);
}
+ mEntrance.setLayoutParams( entranceParams );
}
}
diff --git a/main-extensions/mogo-module-main-launcher/src/main/res/values/dimens.xml b/main-extensions/mogo-module-main-launcher/src/main/res/values/dimens.xml
index 79e190ca2d..25247f638b 100644
--- a/main-extensions/mogo-module-main-launcher/src/main/res/values/dimens.xml
+++ b/main-extensions/mogo-module-main-launcher/src/main/res/values/dimens.xml
@@ -1,5 +1,5 @@
- 204px
+ 0px
800px
\ No newline at end of file
diff --git a/modules/mogo-module-extensions/src/main/java/com/mogo/module/extensions/entrance/EntranceFragment.java b/modules/mogo-module-extensions/src/main/java/com/mogo/module/extensions/entrance/EntranceFragment.java
index d9b038ca59..f988ed34db 100644
--- a/modules/mogo-module-extensions/src/main/java/com/mogo/module/extensions/entrance/EntranceFragment.java
+++ b/modules/mogo-module-extensions/src/main/java/com/mogo/module/extensions/entrance/EntranceFragment.java
@@ -48,7 +48,9 @@ import com.mogo.module.common.map.Scene;
import com.mogo.module.common.view.OnPreventFastClickListener;
import com.mogo.module.extensions.ExtensionsModuleConst;
import com.mogo.module.extensions.R;
+import com.mogo.module.extensions.navi.BaseNaviInfoView;
import com.mogo.module.extensions.navi.NaviInfoView;
+import com.mogo.module.extensions.navi.VrModeNavInfoView;
import com.mogo.module.extensions.userinfo.UserInfo;
import com.mogo.module.extensions.utils.AdasNoticeHelper;
import com.mogo.module.extensions.utils.EntranceViewHolder;
@@ -120,7 +122,7 @@ public class EntranceFragment extends MvpFragment{
// 进入vr模式
enterVrMode();
- mApis.getMapFrameControllerApi().changeToVRMode();
+ mApis.getStatusManagerApi().setVrMode(TAG, true);
+// mApis.getMapFrameControllerApi().changeToVRMode();
});
tvExitVrMode = findViewById(R.id.module_ext_exit_vr_mode);
tvExitVrMode.setOnClickListener((v)->{
// 退出vr模式
exitVrMode();
- mApis.getMapFrameControllerApi().changeTo2dMode();
+ mApis.getStatusManagerApi().setVrMode(TAG, false);
+// mApis.getMapFrameControllerApi().changeTo2dMode();
});
dealWeatherContainer();
@@ -493,8 +496,12 @@ public class EntranceFragment extends MvpFragment
@@ -248,6 +246,7 @@
android:textSize="@dimen/module_ext_exit_vr_mode_text_size"
android:visibility="gone"
app:layout_constraintBottom_toBottomOf="parent"
+ app:layout_constraintTop_toTopOf="parent"
app:layout_constraintRight_toRightOf="parent" />
1058px
+ 760px
+ 700px
544px
117px
80px
diff --git a/upload.sh b/upload.sh
index 17478021a0..c835c8bc98 100755
--- a/upload.sh
+++ b/upload.sh
@@ -1,112 +1,11 @@
-!/bin/bash
+#!/bin/bash
-./gradlew :foudations:mogo-utils:clean :foudations:mogo-utils:uploadArchives
-if [ $? -ne 0 ];then exit; fi
-./gradlew :skin:mogo-skin-support:clean :skin:mogo-skin-support:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :tts:tts-base:clean :tts:tts-base:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :foudations:mogo-commons:clean :foudations:mogo-commons:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :tts:tts-zhi:clean :tts:tts-zhi:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :tts:tts-di:clean :tts:tts-di:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :tts:tts-noop:clean :tts:tts-noop:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :libraries:mogo-map-api:clean :libraries:mogo-map-api:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :skin:skin-support:clean :skin:skin-support:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :skin:skin-support-appcompat:clean :skin:skin-support-appcompat:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :skin:skin-support-cardview:clean :skin:skin-support-cardview:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :skin:skin-support-constraint-layout:clean :skin:skin-support-constraint-layout:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :skin:skin-support-design:clean :skin:skin-support-design:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :services:mogo-service-api:clean :services:mogo-service-api:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :libraries:map-amap:clean :libraries:map-amap:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :libraries:map-autonavi:clean :libraries:map-autonavi:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :libraries:mogo-map:clean :libraries:mogo-map:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :modules:mogo-module-common:clean :modules:mogo-module-common:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :skin:mogo-skin-support-impl:clean :skin:mogo-skin-support-impl:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :skin:mogo-skin-support-noop:clean :skin:mogo-skin-support-noop:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :test:crashreport:clean :test:crashreport:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :test:crashreport-bugly:clean :test:crashreport-bugly:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :test:crashreport-noop:clean :test:crashreport-noop:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :skin:mogo-skin-light:clean :skin:mogo-skin-light:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :services:mogo-service:clean :services:mogo-service:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :modules:mogo-module-obu:clean :modules:mogo-module-obu:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :modules:mogo-module-map:clean :modules:mogo-module-map:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :modules:mogo-module-apps:clean :modules:mogo-module-apps:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :modules:mogo-module-gps-simulator:clean :modules:mogo-module-gps-simulator:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :modules:mogo-module-gps-simulator-debug:clean :modules:mogo-module-gps-simulator-debug:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :modules:mogo-module-gps-simulator-noop:clean :modules:mogo-module-gps-simulator-noop:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :modules:mogo-module-service:clean :modules:mogo-module-service:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :modules:mogo-module-authorize:clean :modules:mogo-module-authorize:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :modules:mogo-module-share:clean :modules:mogo-module-share:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :modules:mogo-module-extensions:clean :modules:mogo-module-extensions:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :modules:mogo-module-search:clean :modules:mogo-module-search:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :modules:mogo-module-media:clean :modules:mogo-module-media:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :modules:mogo-module-v2x:clean :modules:mogo-module-v2x:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :modules:mogo-module-back:clean :modules:mogo-module-back:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :modules:mogo-module-main:clean :modules:mogo-module-main:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :modules:mogo-module-guide:clean :modules:mogo-module-guide:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :main-extensions:mogo-module-main-independent:clean :main-extensions:mogo-module-main-independent:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :main-extensions:mogo-module-main-launcher:clean :main-extensions:mogo-module-main-launcher:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :modules:mogo-module-left-panel:clean :modules:mogo-module-left-panel:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :modules:mogo-module-left-panel-noop:clean :modules:mogo-module-left-panel-noop:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :foudations:mogo-base-services-apk:clean :foudations:mogo-base-services-apk:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :foudations:mogo-base-services-sdk:clean :foudations:mogo-base-services-sdk:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :modules:mogo-module-push-base:clean :modules:mogo-module-push-base:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :modules:mogo-module-push-noop:clean :modules:mogo-module-push-noop:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :modules:mogo-module-push:clean :modules:mogo-module-push:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :libraries:tanlulib:clean :libraries:tanlulib:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :modules:mogo-module-monitor:clean :modules:mogo-module-monitor:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :modules:mogo-module-splash:clean :modules:mogo-module-splash:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :modules:mogo-module-splash-noop:clean :modules:mogo-module-splash-noop:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
-./gradlew :modules:mogo-module-widgets:clean :modules:mogo-module-widgets:uploadArchives
-if [ $? -ne 0 ]; then exit; fi
\ No newline at end of file
+function upload(){
+ ./gradlew $1:clean $1:uploadArchives
+ if [ $? -ne 0 ];then exit; fi
+}
+
+for module in `cat modules.txt`;
+do
+ upload $module
+done
\ No newline at end of file